stringprep_convert(3)

NAME
stringprep_convert - encode string using new character set

SYNOPSIS
#include <stringprep.h>

char * stringprep_convert(const char * str, const char * to_codeset, const char * from_codeset);

ARGUMENTS

const char * str
    input zero-terminated string.

const char * to_codeset
    name of destination character set.

const char * from_codeset
    name of origin character set, as used by str.

DESCRIPTION
Convert the string from one character set to another using the system's iconv() function.

RETURN VALUE
Returns newly allocated zero-terminated string which is str transcoded into to_codeset.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.